<?php
defined( 'MVC_FRAMEWORK') or die;

/**
 * The class name matches the filename with the first letter capitalized
 */

class TitlemodifierComponent extends S2Component {

    var $published = false;

    function startup(&$controller)
    {
        // We only want the plugin to run in the detail page

        if($controller->name == 'com_content' && $controller->action == 'com_content_view')
        {
            // Make the controller properties available in other methods inside this class

            $this->c = &$controller;

            $this->published = true;
        }
    }

    /**
    * Event triggered before the theme is rendered
    * All variables sent to theme are available via $this->c->viewVars array
    */
    function plgBeforeRender()
    {
        $listing = & $this->c->viewVars['listing'];

        // Read the configuration setting

        $listingTypes = Sanitize::getVar($this->c->Config,'titlemodifier-listingtypes');

        // Check that the current listing's listing type ID matches one of the IDs saved in the configuration

        if(in_array($listing['Criteria']['criteria_id'], $listingTypes))
        {
            $listing['Listing']['title'] .= ' - ' . $listing['Category']['title'];
        }
    }
}